From 8cdc934efde1b69fd35cedfdf6c4c627528bd147 Mon Sep 17 00:00:00 2001
From: Dmitri Bogomolov <4glitch@gmail.com>
Date: Mon, 7 Jun 2021 18:00:00 +0300
Subject: [PATCH] Dry run built 32bit exe in buildscripts/winbuild.sh

---
 buildscripts/winbuild.sh | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/buildscripts/winbuild.sh b/buildscripts/winbuild.sh
index 43d8cf34..989e59bd 100755
--- a/buildscripts/winbuild.sh
+++ b/buildscripts/winbuild.sh
@@ -167,6 +167,14 @@ function build_exe(){
 	wine pyinstaller bitmessagemain.spec
 }
 
+function dryrun_exe(){
+       cd "${BASE_DIR}" || exit 1
+       if [ ! "${MACHINE_TYPE}" == 'x86_64' ]; then
+	   local VERSION=$(python setup.py --version)
+	   wine packages/pyinstaller/dist/Bitmessage_x86_$VERSION.exe -t
+       fi
+}
+
 # prepare on ubuntu
 # dpkg --add-architecture i386
 # apt update
@@ -187,3 +195,4 @@ install_msgpack
 install_pyinstaller
 build_dll
 build_exe
+dryrun_exe